/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file vector_func.h Vector function declarations. */

#ifndef VECTOR_FUNC_H
#define VECTOR_FUNC_H

#include "vector_type.h"

void VectorInit   (Vector *vector);
int  VectorInUse  (Vector *vector);
void VectorAdd    (Vector *vector, void *);
void VectorInsert (Vector *vector, int index, void *item);
void VectorSet    (Vector *vector, int, void *);
void *VectorFetch (Vector *vector, int);
void VectorDelete (Vector *vector, int);
void VectorFree   (Vector *vector);

#endif /* VECTOR_FUNC_H */
