/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file loadunload.cpp Handling unloading and loading of cargo. */



#ifndef LOADUNLOAD_FUNC_H
#define LOADUNLOAD_FUNC_H



#include "../stdafx.h"

#include "../economy_base.h"
#include "../industry_type.h"
#include "../station_base.h"
#include "../vehicle_base.h"



void BeginLoading           (Vehicle *v);
void LoadUnloadStation      (Station *st);
uint DeliverGoodsToIndustry (const Station *st, CargoID cargo_type, uint num_pieces, IndustryID source, CompanyID company);



#endif /* LOADUNLOAD_FUNC_H */
