/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file livery_func.h Functions related to livery colours. */



#ifndef LIVERY_FUNC_H
#define LIVERY_FUNC_H



#include "gfx_type.h"
#include "company_type.h"
#include "vehicle_base.h"



void ResetCompanyLivery(Company *c);



LiveryScheme GetEngineLiveryScheme (EngineID engine_type, EngineID parent_engine_type, const Vehicle *v);
const Livery *GetEngineLivery      (EngineID engine_type, CompanyID company, EngineID parent_engine_type, const Vehicle *v, byte livery_setting);
PaletteID    GetEngineColourMap    (EngineID engine_type, CompanyID company, EngineID parent_engine_type, const Vehicle *v);
PaletteID    GetEnginePalette      (EngineID engine_type, CompanyID company);
PaletteID    GetVehiclePalette     (const Vehicle *v);



#endif /* LIVERY_FUNC_H */
