/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file build_rail_vehicle.h Header for build_rail_vehicle.cpp. */



#ifndef BUILD_RAIL_VEHICLE_H
#define BUILD_RAIL_VEHICLE_H



#include "train_type.h"
#include "train.h"
#include "vehicle_base.h"



CommandCost CmdBuildRailVehicle (TileIndex tile, ProcessCmdFlag flags, const Engine *e, uint16 data, Vehicle **ret);
CommandCost CmdMoveRailVehicle  (CommandContainer cmdvar);
CommandCost CmdSellRailWagon    (ProcessCmdFlag flags, Vehicle *t, uint16 data, uint32 user);
void        DrawTrainEngine     (int left, int right, int preferred_x, int y, EngineID engine, PaletteID pal, EngineImageType image_type);
void        GetTrainSpriteSize  (EngineID engine, uint &width, uint &height, int &xoffs, int &yoffs, EngineImageType image_type);



#endif /*  BUILD_RAIL_VEHICLE_H */
