/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file train_path.cpp Handling of trains paths. */



#ifndef TRAIN_PATH_FUNC_H
#define  TRAIN_PATH_FUNC_H



#include "train.h"
#include "train_path_type.h"




void  FreeTrainTrackReservation (const Train *v);
bool  TryPathReserve            (Train *v, bool mark_as_stuck = false, bool first_tile_okay = false);
void  ClearPathReservation      (const Train *v, TileIndex tile, Trackdir track_dir);
Track ChooseTrainTrack          (Train *v, TileIndex tile, DiagDirection enterdir, TrackBits tracks, bool force_res,
								 bool *got_reservation, bool mark_stuck)
;



#endif /*  TRAIN_PATH_FUNC_H */