/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file timetable_widget.h Types related to the timetable widgets. */

#ifndef WIDGETS_TIMETABLE_WIDGET_H
#define WIDGETS_TIMETABLE_WIDGET_H

/** Widgets of the #TimetableWindow class. */
enum VehicleTimetableWidgets {
	WID_VT_CAPTION,                     ///< Caption of the window.
	WID_VT_ORDER_VIEW,                  ///< Order view.
	WID_VT_TIMETABLE_PANEL,             ///< Timetable panel.
	WID_VT_ARRIVAL_DEPARTURE_PANEL,     ///< Panel with the expected/scheduled arrivals.
	WID_VT_SCROLLBAR,                   ///< Scrollbar for the panel.
	WID_VT_TIME_SLOT_MATRIX,            ///< Matrix of time slots.
	WID_VT_SUMMARY_PANEL,               ///< Summary panel.
	WID_VT_START_TIME,                  ///< Start date button.
 	WID_VT_AUTOFILL,                    ///< Autofill button.
	WID_VT_ARRIVAL,                     ///< Change arrival time button.
	WID_VT_DEPARTURE,                   ///< Change departure time button.
	WID_VT_SKIP,                        ///< Skip options for the order.
	WID_VT_INTERVAL,                    ///< Change timetable interval button.
	WID_VT_TIME_SLOT,                   ///< Add a time slot.
	WID_VT_DELAY,                       ///< Change the delay time limit button.
	WID_VT_WAIT_TIME,                   ///< Set a wait time for the order.
	WID_VT_SPEED,                       ///< Change speed limit button.
	WID_VT_SCHEDULED,                   ///< Toggle between scheduled and actual arrival/departure times.
	WID_VT_SHARED_ORDER_LIST,           ///< Show the shared order list.
	WID_VT_BLANK,                       ///< Blank placeholder button.
	WID_VT_TIMES_PANEL_SELECTION,       ///< Disable/hide the arrival/departure panel.
	WID_VT_TIMES_SELECTION,             ///< Disable/hide the arrival/departure selection button.
};

#endif /* WIDGETS_TIMETABLE_WIDGET_H */
